unit Demounit;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Grids, Matrix, TabNotBk;

type
  TForm1 = class(TForm)
    TabbedNotebook1: TTabbedNotebook;
    Label1: TLabel;
    Label2: TLabel;
    Matrix1: TMatrix;
    Matrix2: TMatrix;
    MatrixViewer1: TMatrixViewer;
    MatrixViewer2: TMatrixViewer;
    Label3: TLabel;
    Matrix3: TMatrix;
    MatrixViewer3: TMatrixViewer;
    Label4: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Matrix4: TMatrix;
    MatrixViewer4: TMatrixViewer;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Label5: TLabel;
    Matrix5: TMatrix;
    Matrix6: TMatrix;
    MatrixViewer5: TMatrixViewer;
    Label6: TLabel;
    MatrixViewer6: TMatrixViewer;
    Label7: TLabel;
    Button9: TButton;
    Label8: TLabel;
    Matrix7: TMatrix;
    MatrixViewer7: TMatrixViewer;
    Label9: TLabel;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure Button4Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button4Click(Sender: TObject);
begin
  Matrix3.Assign(Matrix1);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Matrix3.Assign(M_MultMatrix(Matrix1, Matrix2));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Matrix3.Assign(M_AddMatrix(Matrix1, Matrix2));
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  try
    Matrix3.Assign(M_MultValue(Matrix1, StrToFloat(Edit1.Text)));
  except
  end;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Matrix4.Lines := Matrix4.Lines + 1;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  Matrix4.Columns := Matrix4.Columns + 1;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  Matrix4.Transpose;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  try
    Matrix4.DiagMatrix(StrToFloat(Edit2.Text));
  except
  end;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  MatrixViewer4.Digits := MatrixViewer4.Digits + 1;
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
  Edit3.Text := FloatToStr(Matrix5.Determinant);
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  Matrix7.Assign(M_Inverse(Matrix5));
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  Matrix7.Assign(M_SolveLinearSystem(Matrix5, Matrix6));
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Matrix5.AssignToLine(0, [10, 1, 1]);
  Matrix5.AssignToLine(1, [2, 10, 1]);
  Matrix5.AssignToLine(2, [2, 2, 10]);
  Matrix6.AssignToLine(0, [12]);
  Matrix6.AssignToLine(1, [13]);
  Matrix6.AssignToLine(2, [14]);
end;

end.
