unit WidgetDemoU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  widget, StdCtrls, Menus;

type
  TForm1 = class(TForm)
    Widget1: TWidget;
    Widget2: TWidget;
    Widget3: TWidget;
    MainMenu1: TMainMenu;
    hggh1: TMenuItem;
    PopupMenu1: TPopupMenu;
    one1: TMenuItem;
    two1: TMenuItem;
    three1: TMenuItem;
    N1: TMenuItem;
    exxit1: TMenuItem;
    procedure Widget1Click(Sender: TObject);
    procedure Widget3Click(Sender: TObject);
    procedure Widget2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Widget1Click(Sender: TObject);
const
  RolledUp: boolean = false;
  FullHeight: integer = 0;
begin
  with Form1, Widget1 do
    begin
    if RolledUp then
    begin
      Glyph:='t';
      Hint:='Click to roll up';
      Height:=FullHeight;
    end
    else
    begin
      FullHeight:=Height;
      Glyph:='u';
      Hint:='Click to unroll';
      Height:=0;
    end;
    RolledUp:=not RolledUp;
  end;
end;

procedure TForm1.Widget3Click(Sender: TObject);
begin
  if BorderStyle = bsSizeable then
    BorderStyle:=bsSizeToolWin
  else
    BorderStyle:=bsSizeable;
end;

procedure TForm1.Widget2Click(Sender: TObject);
begin
  if BorderIcons*[biMinimize, biMaximize] = [biMinimize, biMaximize] then
    BorderIcons:=BorderIcons - [biMinimize, biMaximize]
  else
    BorderIcons:=BorderIcons + [biMinimize, biMaximize];
end;

end.
